javax.ws.rs.core

## Enum Response.Status.Family

- java.lang.Object
- - java.lang.Enum<Response.Status.Family>
  - - javax.ws.rs.core.Response.Status.Family

- All Implemented Interfaces:
    Serializable, Comparable<Response.Status.Family>
  Enclosing class:
    Response.Status

      public static enum Response.Status.Family
      extends Enum<Response.Status.Family>

  An enumeration representing the class of status code. Family is used here since class is overloaded in Java.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CLIENT_ERROR` `4xx` HTTP status codes.
    `INFORMATIONAL` `1xx` HTTP status codes.
    `OTHER` Other, unrecognized HTTP status codes.
    `REDIRECTION` `3xx` HTTP status codes.
    `SERVER_ERROR` `5xx` HTTP status codes.
    `SUCCESSFUL` `2xx` HTTP status codes.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Response.Status.Family` | `familyOf(int statusCode)` Get the response status family for the status code.
    `static Response.Status.Family` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Response.Status.Family[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INFORMATIONAL

          public static final Response.Status.Family INFORMATIONAL

      `1xx` HTTP status codes.

    - #### SUCCESSFUL

          public static final Response.Status.Family SUCCESSFUL

      `2xx` HTTP status codes.

    - #### REDIRECTION

          public static final Response.Status.Family REDIRECTION

      `3xx` HTTP status codes.

    - #### CLIENT_ERROR

          public static final Response.Status.Family CLIENT_ERROR

      `4xx` HTTP status codes.

    - #### SERVER_ERROR

          public static final Response.Status.Family SERVER_ERROR

      `5xx` HTTP status codes.

    - #### OTHER

          public static final Response.Status.Family OTHER

      Other, unrecognized HTTP status codes.

  - ### Method Detail

    - #### values

          public static Response.Status.Family[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Response.Status.Family c : Response.Status.Family.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Response.Status.Family valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### familyOf

          public static Response.Status.Family familyOf(int statusCode)

      Get the response status family for the status code.
      Parameters:
        `statusCode` - response status code to get the family for.
      Returns:
        family of the response status code.

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.